Skip to main content
POST
/
notes
/
convert
Python
client.notes.create_note_convert_v2026_r0(
    markdown_content,
    FolderReferenceV2026R0(id="0"),
    note_name,
    content_format=CreateNoteConvertV2026R0ContentFormat.MARKDOWN,
)
{
  "type": "file",
  "id": "1234567890"
}
Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2026.0

Body

application/json

Request body for converting source content into a Box Note file.

content
string
required

The content to convert to a note. See the content_format field for supported formats.

Maximum string length: 1048576
Example:

"# My note\\n\\nHello from Markdown."

content_format
enum<string>
required

Format of the content to convert.

Available options:
markdown
Example:

"markdown"

parent
Folder reference · object
required

Folder reference.

name
string
required

The name for the created note. The .boxnote extension is appended automatically.

Required string length: 1 - 247
Example:

"Quarterly plan"

Response

The note was created successfully.

Identifies the created Box Note file.

type
enum<string>
required

The Box resource type; always file for a Box file.

Available options:
file
Example:

"file"

id
string
required

Box file ID of the created .boxnote file.

Example:

"1234567890"